Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 527792 - push latest version of to production (r56028)
: push latest version of to production (r56028)
11/12/2009 @ 7pm
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- critical (vote)
: ---
Assigned To: Shyam Mani [:fox2mike]
: matthew zeier [:mrz]
Depends on: 527782 527791
Blocks: 521531 521532 523778 523782 526556
  Show dependency treegraph
Reported: 2009-11-10 15:04 PST by Myk Melez [:myk] [@mykmelez]
Modified: 2013-10-09 10:29 PDT (History)
7 users (show)
mzeier: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)

migration script to update personas (2.07 KB, text/plain)
2009-11-11 09:15 PST, Toby Elliott [:telliott]
no flags Details

Description Myk Melez [:myk] [@mykmelez] 2009-11-10 15:04:57 PST
The latest version of the production branch of should get pushed to production to pick up the fix for bug 527710, which adds a username property to the JSON feeds that supports a new feature in the upcoming version 1.4 of the Personas extension.

A number of other changes have been made on the trunk, but only this one change is to be pushed in this particular push.  Ryan is going to manually apply the change to the production branch of the website repository before the push to make sure it's the only change that gets pushed to production (bug 527791).

If at all possible, please do this push during the regularly scheduled maintenance window this Thursday, November 12.
Comment 1 Ryan Doherty (:rdoherty) 2009-11-10 15:20:17 PST
Comment 2 Ryan Doherty (:rdoherty) 2009-11-10 15:20:53 PST
(In reply to comment #1)
> r527710

wrong. r55884
Comment 3 Shyam Mani [:fox2mike] 2009-11-11 01:20:42 PST
I can grab this.
Comment 4 Toby Elliott [:telliott] 2009-11-11 09:15:16 PST
Created attachment 411696 [details]
migration script to update personas

Stick it in the root personas directory (/var/www/personas on sm-personas01) and run php migration.php. Will rebuild all json files.
Comment 5 Toby Elliott [:telliott] 2009-11-11 09:16:38 PST
Added script to retrofit all the index_1.json files. Drop it into /var/www/personas (or whatever the svn root is on production) and run it as sudo.
Comment 6 matthew zeier [:mrz] 2009-11-11 09:21:34 PST
Are you asking for a prod push or a stage push (sm-personas01)?
Comment 7 Toby Elliott [:telliott] 2009-11-11 09:24:23 PST
prod push - my comment about sm-personas01 was just that that was where it would go on stage, so likely where it goes in prod.
Comment 8 Ryan Doherty (:rdoherty) 2009-11-11 17:09:30 PST
New svn revision, have another isolated page for that can go out with this push. 


Page is external/mozilla/students.php, self-contained like the others in external/mozilla, no apache config changes needed.
Comment 9 Ryan Doherty (:rdoherty) 2009-11-12 16:32:20 PST
Another svn revision (sorry for these changes coming in late)


Removes some functionality, the rest is l10n updates.
Comment 10 Shyam Mani [:fox2mike] 2009-11-12 19:53:51 PST
[root@mradm02]# svn up -r 56028
A    server/external/mozilla/students.php
U    server/external/mozilla/footer.php
 U   server/external/mozilla/index.php
U    server/external/mozilla/header.php
 U   server/external/mozilla
UU   server/admin/pending.php
UU   server/lib/personas_functions.php
Updated to revision 56028.

Updated fine. 

Running the migration script now, it's spitting out numbers.
Comment 11 Shyam Mani [:fox2mike] 2009-11-12 20:19:23 PST

67349 <- was the last one.
Comment 12 Myk Melez [:myk] [@mykmelez] 2009-11-12 23:15:54 PST
Looks great, thanks Shyam!
Comment 13 Ryan Doherty (:rdoherty) 2009-11-13 09:56:35 PST
re-opening, there seems to be some regressions. These urls used to work: (loads incorrect page)

And this url was going live with the push:

From what I can tell, it appears the apache config was modified/reverted to an earlier state.

In order for the above urls to work properly, this needs to be in the vhost file:

AliasMatch ^/([a-zA-Z-]+/)?external/(.*) /path/to/personas/server/external/$2

And make sure this is not in the vhost file:
RewriteRule ^/(?:\w{2,3}(?:-\w{2}(?:-mac)?)?/)?external/mozilla/?

This was filed in bug 527120 previously.
Comment 14 Ryan Doherty (:rdoherty) 2009-11-13 10:02:05 PST
Also found a bug, will need a svn up, will get rev # in a min.
Comment 15 Ryan Doherty (:rdoherty) 2009-11-13 10:11:56 PST
(In reply to comment #14)
> Also found a bug, will need a svn up, will get rev # in a min.

Comment 16 Shyam Mani [:fox2mike] 2009-11-13 10:56:19 PST
[root@mradm02]# svn up -r 56061
UU   server/external/mozilla/students.php

And apache changes pushed out.
Comment 17 Ryan Doherty (:rdoherty) 2009-11-13 11:04:17 PST
Looks awesome, thanks Shyam!

Note You need to log in before you can comment on or make changes to this bug.